#declare airTx    = texture { Copper_Metal }
#declare airSupTx = texture { Chrome_Metal }

#declare airCyl = object {
  cylinder { <0, 0, 0>, <1, 0, 0>, 3 }
}

#declare airJoint = object {
  intersection {
    torus { 5, 3 }
    box { <0, -3.1, 0>, <8.1, 3.1, 8.1> }
  }
}

object {
  union {
    object { airCyl scale <10, 1, 1> translate < 0, -22, 0> }               // 0,0 to 10,0
    object { airJoint translate <10, -22, -5> }                             // 
    object { airJoint rotate y*180 translate <20, -22, -5> }                // 
    object { airCyl scale <25, 1, 1> translate <20, -22, -10> }             // 20,-10 to 45,-10
    object { airJoint rotate y*90 translate <45, -22, -5> }                 //
    object { airCyl scale <50, 1, 1> rotate y*-90 translate <50, -22, -5> } // 50,-5 to 50,45
    object { airJoint rotate y*270 translate <55, -22, 45> }                //
    object { airCyl scale <10, 1, 1> translate < 55, -22, 50> }             // 55,50 to 65,50
    object { airJoint translate <65, -22, 45> }                             //
    object { airCyl scale <50, 1, 1> rotate y*-90 translate <70, -22, -5> } // 70,45 to 70,-5
    object { airJoint rotate y*180 translate <75, -22, -5> }                // 
    object { airCyl scale <125, 1, 1> translate <75, -22, -10> }            // 75,-10 to 200,-10
    object { airJoint rotate y*90 translate <200, -22, -15> }               //
    object { airCyl scale <300, 1, 1> rotate y*-90 translate <205, -22, -150> }
  }
  texture { airTx }
}

// Test positions of air-line supports
#declare airSup = object {
  union {
    cone { <0, -35, 0>, 3, <0, -19, 0>, 1 }
    cylinder { <-1, -22, 0 >, <1, -22, 0>, 3.5 }
  }
  texture { airSupTx } 
}

object { airSup             translate < 32.5, 0, -10> }
object { airSup rotate y*90 translate < 50,   0,  20> }
object { airSup             translate < 60,   0,  50> }
object { airSup rotate y*90 translate < 70,   0,  20> }
object { airSup             translate <117,   0, -10> }
object { airSup             translate <158,   0, -10> }
object { airSup             translate <205,   0,  20> }
object { airSup             translate <205,   0,  70> }
object { airSup             translate <205,   0, -30> }
